IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_programtype_insert]') AND type = 'TR')
DROP TRIGGER [dbo].[mps_programtype_insert]
GO
create trigger [dbo].[mps_programtype_insert] on [dbo].[mps_programtype] for insert as
begin
    declare
       @maxcard  int,
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

declare @cmpid int 
select top 1 @cmpid = pt_cmpid from  inserted  
set @cmpid = isnull(@cmpid,0) 

 update mps_tableupdated set tu_updated=0 where  tu_table='mps_programtype' and tu_cmpid=@cmpid 
insert into mps_sync(sk_type,sk_bizid,sk_objid,sk_operation,sk_tag2) 
select 30 , pt_id , pt_id , 1 , 0 from inserted  
    return

/*  Errors handling  */
error:
    -- raiserror @errno @errmsg
    rollback  transaction
end